Bug 1497021 - group members are unable to change priority on group jobs: 500 Internal Server Error: TypeError: argument of type 'NoneType' is not iterable
Summary: group members are unable to change priority on group jobs: 500 Internal Serve...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.5
Assignee: Dan Callaghan
QA Contact: Dan Callaghan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 02:24 UTC by Dan Callaghan
Modified: 2017-10-27 06:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-27 06:47:30 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2017-09-29 02:24:13 UTC
Version-Release number of selected component (if applicable):
24.3

How reproducible:
unsure

Steps to Reproduce:
1. bkr job-modify --priority=Low J:2073208

Actual results:
Failed to modify J:2073208: 500 Server Error: INTERNAL SERVER ERROR for
url: https://beaker.engineering.redhat.com/recipesets/by-taskspec/J:2073208
No jobs modified

Expected results:
For a group job, users in that group should be able to reduce priority.

Additional info:
bkr.server ERROR Exception on /recipesets/by-taskspec/J:2073208 [PATCH]
 Traceback (most recent call last):
   File "/usr/lib/python2.6/site-packages/flask/app.py", line 1817, in wsgi_app
     response = self.full_dispatch_request()
   File "/usr/lib/python2.6/site-packages/flask/app.py", line 1477, in full_dispatch_request
     rv = self.handle_user_exception(e)
   File "/usr/lib/python2.6/site-packages/flask/app.py", line 1381, in handle_user_exception
     reraise(exc_type, exc_value, tb)
   File "/usr/lib/python2.6/site-packages/flask/app.py", line 1475, in full_dispatch_request
     rv = self.dispatch_request()
   File "/usr/lib/python2.6/site-packages/flask/app.py", line 1461, in dispatch_request
     return self.view_functions[rule.endpoint](**req.view_args)
   File "/usr/lib/python2.6/site-packages/bkr/server/flask_util.py", line 219, in wrapper
     return f(*args, **kwds)
   File "/usr/lib/python2.6/site-packages/bkr/server/recipesets.py", line 116, in update_recipeset_by_taskspec
     _update_recipeset(rs, data)
   File "/usr/lib/python2.6/site-packages/bkr/server/recipesets.py", line 66, in _update_recipeset
     recipeset.waived = waived
   File "/usr/lib64/python2.6/contextlib.py", line 34, in __exit__
     self.gen.throw(type, value, traceback)
   File "/usr/lib/python2.6/site-packages/bkr/server/flask_util.py", line 200, in convert_internal_errors
     yield
   File "/usr/lib/python2.6/site-packages/bkr/server/recipesets.py", line 53, in _update_recipeset
     priority not in recipeset.allowed_priorities(identity.current.user)):
 TypeError: argument of type 'NoneType' is not iterable

Comment 1 Dan Callaghan 2017-10-05 07:03:32 UTC
https://gerrit.beaker-project.org/5858

Comment 4 Dan Callaghan 2017-10-27 06:47:30 UTC
Beaker 24.5 has been released.


Note You need to log in before you can comment on or make changes to this bug.